Bug 443371 - pungi -B fails if anaconda-runtime is not in the package list
Summary: pungi -B fails if anaconda-runtime is not in the package list
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-21 08:35 UTC by Mark McLoughlin
Modified: 2013-01-10 01:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-16 02:26:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark McLoughlin 2008-04-21 08:35:04 UTC
With e.g.:

  repo --name=rawhide --baseurl=http://foo

  %packages
  %end

You get:

  OSError: Got an error from /usr/lib/anaconda-runtime/buildinstall: 

and trying out the buildinstall command directly, you see:

  Running buildinstall...
  No Match for argument anaconda-runtime
  Nothing to download

The issue here is that one of the first things buildinstall tries to do is
install anaconda-runtime from the supplied repository, so the user must add
anaconda-runtime to the package list or pungi fails.

Comment 2 Bug Zapper 2008-05-14 09:50:04 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Jesse Keating 2008-07-16 02:26:05 UTC
I actually fixed this a different way, buildinstall now can take a set of yum
repos to look for it's contents.  No longer does anaconda-runtime need to be on
your manifest.


Note You need to log in before you can comment on or make changes to this bug.